GEThttps://api.breeze.blue/v1/models

List models

List available TTS models.

Authentication

API key: Send your Breeze Developer API key with the xi-api-key header.

Headers

FieldTypeDescription
xi-api-keyrequiredstringYour Breeze Developer API key. See authentication.

Example request

python import os from breeze_blue import BreezeBlue client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"]) for model in client.models.list(): print(model["model_id"], model["name"]) typescript import { BreezeBlueClient } from "@breeze.blue/sdk"; const client = new BreezeBlueClient({ apiKey: process.env.BREEZE_API_KEY!, }); const models = await client.models.list(); for (const model of models) { console.log(model.modelId, model.name); } curl curl "https://api.breeze.blue/v1/models" \ -H "xi-api-key: $BREEZE_API_KEY"
import os

from breeze_blue import BreezeBlue

client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"])

for model in client.models.list():
    print(model["model_id"], model["name"])

Response

Supported TTS models.

Content types: application/json

Response headers:

  • x-breeze-api-key-id: Public API key identifier used to authenticate the request, when an API key was used.
[
  {
    "model_id": "model_id_01h",
    "name": "Example",
    "can_do_text_to_speech": true,
    "can_do_voice_conversion": true,
    "can_use_style": true,
    "can_use_speaker_boost": true,
    "serves_pro_voices": true,
    "languages": [
      {
        "language_id": "language_id_01h",
        "name": "Example"
      }
    ],
    "description": "Example description."
  }
]